import { Meta, Typeset, Story, Canvas } from '@storybook/blocks';
import { width } from './util/decorator';
import { cuiDemo } from './util/demo';
import { demoHead1, demoHead2, demoInline, demoBlockquote1, demoBlockquote2, demoList1, demoList2, demoTable } from './util/typography';
import * as TypographyListsStories from './Typography-lists.stories';

<Meta of={TypographyListsStories} />

# Lists

HTML lists allow to group a set of related items in lists.

<Canvas withSource="open">
  <Story of={TypographyListsStories.Lists} />
</Canvas>

Remove the default `list-style` and left margin on list items (immediate children only) by adding `.cui-plain` to a list. **This only applies to immediate children list items**, meaning you will need to add the class for any nested lists as well.

<Canvas withSource="open">
  <Story of={TypographyListsStories.ListsPlain} />
</Canvas>
